GrailsGradlePlugin (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.gradle.plugin.core

## [Groovy] Class GrailsGradlePlugin

- org.grails.gradle.plugin.core.GrailsGradlePlugin

- The main Grails gradle plugin implementation

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `APPLICATION_CONTEXT_COMMAND_CLASS` |
    `static java.lang.String` | `PROFILE_CONFIGURATION` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.plugins.GroovyPlugin` | `GROOVYDOC_TASK_NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.Class<org.gradle.api.Plugin>>` | `basePluginClasses`
    `java.util.List<java.lang.String>` | `excludedGrailsAppSourceDirs`
    `java.util.List<java.lang.String>` | `grailsAppResourceDirs`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsGradlePlugin (org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addDefaultProfile(org.gradle.api.Project project, org.gradle.api.artifacts.Configuration profileConfig)`
    `void` | `apply(org.gradle.api.Project project)`
    `protected void` | `applyBasePlugins(org.gradle.api.Project project)`
    `protected void` | `applyDefaultPlugins(org.gradle.api.Project project)`
    `protected void` | `configureApplicationCommands(org.gradle.api.Project project)`
    `protected void` | `configureAssetCompilation(org.gradle.api.Project project)`
    `protected void` | `configureConsoleTask(org.gradle.api.Project project)`
    `protected void` | `configureFileWatch(org.gradle.api.Project project)`
    `protected void` | `configureForkSettings(java.lang.Object project, java.lang.Object grailsVersion)`
    `protected java.lang.String` | `configureGrailsBuildSettings(org.gradle.api.Project project)`
    `protected void` | `configureGrailsSourceDirs(org.gradle.api.Project project)`
    `protected void` | `configurePathingJar(org.gradle.api.Project project)`
    `protected void` | `configureProfile(org.gradle.api.Project project)`
    `protected void` | `configureSpringBootExtension(org.gradle.api.Project project)`
    `protected org.gradle.api.Task` | `createBuildPropertiesTask(org.gradle.api.Project project)`
    `protected org.gradle.api.tasks.JavaExec` | `createConsoleTask(org.gradle.api.Project project, org.gradle.api.tasks.TaskContainer tasks, org.gradle.api.artifacts.Configuration configuration)`
    `protected org.gradle.api.Task` | `createNative2AsciiTask(org.gradle.api.tasks.TaskContainer taskContainer, java.lang.Object src, java.lang.Object dest)`
    `protected org.gradle.api.tasks.bundling.Jar` | `createPathingJarTask(org.gradle.api.Project project, java.lang.String name, org.gradle.api.artifacts.Configuration... configurations)`
    `protected org.gradle.api.tasks.JavaExec` | `createShellTask(org.gradle.api.Project project, org.gradle.api.tasks.TaskContainer tasks, org.gradle.api.artifacts.Configuration configuration)`
    `protected void` | `enableFileWatch(Environment environment, org.gradle.api.Project project)`
    `protected void` | `enableNative2Ascii(org.gradle.api.Project project, java.lang.Object grailsVersion)` Enables native2ascii processing of resource bundles
    `protected boolean` | `isGrailsSourceDirectory(java.io.File subdir)`
    `protected void` | `registerFindMainClassTask(org.gradle.api.Project project)`
    `protected GrailsExtension` | `registerGrailsExtension(org.gradle.api.Project project)`
    `protected void` | `registerToolingModelBuilder(org.gradle.api.Project project, org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)`
    `protected java.util.List<java.io.File>` | `resolveGrailsResourceDirs(org.gradle.api.Project project)`
    `protected java.util.List<java.io.File>` | `resolveGrailsSourceDirs(org.gradle.api.Project project)`
    `protected java.lang.String` | `resolveGrailsVersion(org.gradle.api.Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.plugins.GroovyPlugin` | `org.gradle.api.plugins.GroovyPlugin#apply(java.lang.Object), org.gradle.api.plugins.GroovyPlugin#apply(org.gradle.api.Project), org.gradle.api.plugins.GroovyPlugin#wait(long, int), org.gradle.api.plugins.GroovyPlugin#wait(long), org.gradle.api.plugins.GroovyPlugin#wait(), org.gradle.api.plugins.GroovyPlugin#equals(java.lang.Object), org.gradle.api.plugins.GroovyPlugin#toString(), org.gradle.api.plugins.GroovyPlugin#hashCode(), org.gradle.api.plugins.GroovyPlugin#getClass(), org.gradle.api.plugins.GroovyPlugin#notify(), org.gradle.api.plugins.GroovyPlugin#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String APPLICATION_CONTEXT_COMMAND_CLASS

    - #### public static final java.lang.String PROFILE_CONFIGURATION

  - ### Property Detail

    - #### java.util.List<java.lang.Class<org.gradle.api.Plugin>> basePluginClasses

    - #### java.util.List<java.lang.String> excludedGrailsAppSourceDirs

    - #### java.util.List<java.lang.String> grailsAppResourceDirs

  - ### Constructor Detail

    - #### @javax.inject.Inject GrailsGradlePlugin(org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic void addDefaultProfile(org.gradle.api.Project project, org.gradle.api.artifacts.Configuration profileConfig)

    - #### @groovy.transform.CompileStatic void apply(org.gradle.api.Project project)

    - #### @groovy.transform.CompileStatic protected void applyBasePlugins(org.gradle.api.Project project)

    - #### @groovy.transform.CompileStatic protected void applyDefaultPlugins(org.gradle.api.Project project)

    - #### protected void configureApplicationCommands(org.gradle.api.Project project)

    - #### protected void configureAssetCompilation(org.gradle.api.Project project)

    - #### @groovy.transform.CompileStatic protected void configureConsoleTask(org.gradle.api.Project project)

    - #### protected void configureFileWatch(org.gradle.api.Project project)

    - #### protected void configureForkSettings(java.lang.Object project, java.lang.Object grailsVersion)

    - #### protected java.lang.String configureGrailsBuildSettings(org.gradle.api.Project project)

    - #### protected void configureGrailsSourceDirs(org.gradle.api.Project project)

    - #### protected void configurePathingJar(org.gradle.api.Project project)

    - #### protected void configureProfile(org.gradle.api.Project project)

    - #### @groovy.transform.CompileStatic protected void configureSpringBootExtension(org.gradle.api.Project project)

    - #### protected org.gradle.api.Task createBuildPropertiesTask(org.gradle.api.Project project)

    - #### protected org.gradle.api.tasks.JavaExec createConsoleTask(org.gradle.api.Project project, org.gradle.api.tasks.TaskContainer tasks, org.gradle.api.artifacts.Configuration configuration)

    - #### protected org.gradle.api.Task createNative2AsciiTask(org.gradle.api.tasks.TaskContainer taskContainer, java.lang.Object src, java.lang.Object dest)

    - #### protected org.gradle.api.tasks.bundling.Jar createPathingJarTask(org.gradle.api.Project project, java.lang.String name, org.gradle.api.artifacts.Configuration... configurations)

    - #### protected org.gradle.api.tasks.JavaExec createShellTask(org.gradle.api.Project project, org.gradle.api.tasks.TaskContainer tasks, org.gradle.api.artifacts.Configuration configuration)

    - #### protected void enableFileWatch(Environment environment, org.gradle.api.Project project)

    - #### protected void enableNative2Ascii(org.gradle.api.Project project, java.lang.Object grailsVersion)

      Enables native2ascii processing of resource bundles

    - #### @groovy.transform.CompileStatic protected boolean isGrailsSourceDirectory(java.io.File subdir)

    - #### @groovy.transform.CompileStatic protected void registerFindMainClassTask(org.gradle.api.Project project)

    - #### protected GrailsExtension registerGrailsExtension(org.gradle.api.Project project)

    - #### protected void registerToolingModelBuilder(org.gradle.api.Project project, org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)

    - #### @groovy.transform.CompileStatic protected java.util.List<java.io.File> resolveGrailsResourceDirs(org.gradle.api.Project project)

    - #### @groovy.transform.CompileStatic protected java.util.List<java.io.File> resolveGrailsSourceDirs(org.gradle.api.Project project)

    - #### protected java.lang.String resolveGrailsVersion(org.gradle.api.Project project)